﻿using BCS.BMC.Debugging;

namespace BCS.BMC
{
    public class BMCConsts
    {
        public const string LocalizationSourceName = "BMC";

        public const string ConnectionStringName = "Default";

        public const bool MultiTenancyEnabled = true;


        /// <summary>
        /// Default pass phrase for SimpleStringCipher decrypt/encrypt operations
        /// </summary>
        public static readonly string DefaultPassPhrase =
            DebugHelper.IsDebug ? "gsKxGZ012HLL3MI5" : "81e191d3010b4e68a2ac7c637b394428";
    }
}
